GET /api/v3/widget/exec/{specificWidgetId}

Executes a stored-procedure-based widget and returns type-specific data.

ExecuteSprocWidgetV3
Use this endpoint for KPI, GHG KPI, TreeMap, Bar Rank, Monthly Trend, Performance Comparison, Bill Flag, and Trend Sparkline widget types. The response shape varies by widget type. Supports global dashboard filter overrides.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
specificWidgetId Unique numeric identifier of the specific widget instance (must be kpi, ghgkpi, treemap, barrank, monthlytrend, commperfcomp, buildperfcomp, billflag, or trendsparkline) integer (int32) Required

Query Parameters

Name Description Type Required
filter Optional global dashboard filter that adds to or overrides saved widget filter values string (string) Optional

Filters

Filter Description Type Operators
accountId Integer equals
budgetVersionId Integer equals
Channel Channel String equals
chartType Chart Type String equals
commodityCategoryID Integer equals
commodityId Integer equals
cumulative Display as Cumulative Boolean equals
DataPointID Integer equals
emissionSourceId Integer equals
EsaChannelID Integer equals
esaIntervalWidgetGroupBy Group By String equals
includeAccountCharges Include Account Charges Boolean equals
includeAccruals Include Accruals Boolean equals
meterGroupInfo Meter Group Display String equals
meterId Integer equals
numberOfYears Integer equals
placeGroupId Integer equals
placeGroupName Place Group Name String equals
rateId Integer equals
readingDate Reading Date DateTime equals between today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
Schedule Schedule String equals
topmostCollectionId Integer equals
topmostCostCenterId Integer equals
topmostPlaceCode Topmost Place Code String equals
topmostPlaceId Integer equals
topmostPlaceName Topmost Place Name String equals
vendorId Integer equals

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

PeriodRangeComparisonDetailed
Property Description Type
currentPeriodRange PeriodRange
PeriodRange properties
Property Description Type
endPeriod The end period for the range integer (int32)
startPeriod The start period for the range integer (int32)
currentValue ValueWithUnit
ValueWithUnit properties
Property Description Type
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
value Value number (double)
dataDetails The data details PeriodComparison[]
PeriodComparison properties
Property Description Type
currentPeriod The date for the current period of data integer (int32)
currentValue ValueWithUnit
ValueWithUnit properties
Property Description Type
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
value Value number (double)
previousPeriod The date for the previous period of data integer (int32)
previousValue ValueWithUnit
ValueWithUnit properties
Property Description Type
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
value Value number (double)
previousPeriodRange PeriodRange
PeriodRange properties
Property Description Type
endPeriod The end period for the range integer (int32)
startPeriod The start period for the range integer (int32)
previousValue ValueWithUnit
ValueWithUnit properties
Property Description Type
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
value Value number (double)
Example Response application/json
{  "currentPeriodRange": {    "endPeriod": 1,    "startPeriod": 1
  },  "currentValue": {    "unit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "value": 1.0
  },  "dataDetails": [
    {    "currentPeriod": 1,    "currentValue": {      "unit": {},      "value": 1.0
    },    "previousPeriod": 1,    "previousValue": {      "unit": {},      "value": 1.0
    }
  }
  ],  "previousPeriodRange": {    "endPeriod": 1,    "startPeriod": 1
  },  "previousValue": {    "unit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "value": 1.0
  }
}